Bug 589823 - gfs2_convert doesn't convert quota files
Summary: gfs2_convert doesn't convert quota files
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Abhijith Das
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On: 589820
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 02:02 UTC by Abhijith Das
Modified: 2010-11-15 13:52 UTC (History)
10 users (show)

Fixed In Version: cluster-3.0.12-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 589820
Environment:
Last Closed: 2010-11-15 13:52:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Convert quota inode correctly (3.22 KB, patch)
2010-05-10 16:42 UTC, Abhijith Das
no flags Details | Diff

Description Abhijith Das 2010-05-07 02:02:23 UTC
+++ This bug was initially created as a clone of Bug #589820 +++

gfs2_convert removes the old quota file with all the user quotas/limits/warnings etc. and replaces it with a newly initialized quota file that's empty.

gfs2_convert should correctly convert the existing quota file for use with the gfs2 filesystem.

--- Additional comment from adas@redhat.com on 2010-05-06 22:00:40 EDT ---

Created an attachment (id=412198)
proposed rhel5 patch

Comment 1 RHEL Product and Program Management 2010-05-07 02:44:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Abhijith Das 2010-05-10 16:42:51 UTC
Created attachment 412899 [details]
Convert quota inode correctly

Comment 3 Abhijith Das 2010-05-10 16:51:02 UTC
Pushed above patch to STABLE3 and master.

Comment 5 releng-rhel@redhat.com 2010-11-15 13:52:20 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.